// 导出类型定义以便共享
export interface RoomUser {
    id: string
    name: string
    avatar: string
    role: 'hoster' | 'player'
    joinTime: number
  }
  
  export interface Room {
    id: string
    name: string
    gameId: string
    gameTitle: string
    maxPlayers: number
    visibility: 'private' | 'public'
    password?: string
    hosterId: string
    hosterName: string
    createTime: number
    status: 'waiting' | 'playing' | 'ended'
    users: RoomUser[]
  }
  
  export interface RecentRoom {
    id: string
    name: string
    game: string
    time: number
    needPassword?: boolean
    status?: string
  }